Subject: 3D-SIRD-colour-TV-anim w/o glasses!

From: [email-masked] (Esa Kuru puh.254206)
Date: 25 Feb 93 22:50:31 GMT

WaveSIRDham.readme

Intro
=====

This 3D-SIRD (Single-Image-Random-Dot) animation shows a sinewave 
generator in a plane. The waving plane can be seen behind or 
infront of the computer screen in all colours without glasses in 3D.
If You are already familiar with SIRDs then it will ease 'seeing' it.

ABOUT WaveSIRDham.anim5
=======================

Here the waving plane is gray and there is one lamp in Your
'forehead'.  Generally the picture is a bit noisy due to
random-dot dithering that causes the '3D feeling'.
If You wanted to have an ordinary ray-traced picture or 
stereo-pair from same position and lightning then You wouldn't 
see nothing more than a gray plane and the light from a lamp 
near it, that is no depth perception of any kind.

'anim5' in filename corresponds to the anim5 format. 
'ham' corresponds to Hold-And-Modify picture format widely known
in Amiga community.
You can play the animation on X-terminal (with xanim) 
with 256-colours.

	xanim WaveSIRDham.anim5

That will give a glue of what is in it or even better it can be shown 
on any Amiga (with expanded memory up to 2 Mb) 
with couple of thousands of colours

	showanim -c WaveSIRDham.anim5

(Please forget about the flickering borders)

The frames of this animation have been drawn by a short portable (6k) 
ANSI-C program 'wave.c' and could easily be included in almost any ray-tracer
program. The improved algorithm uses antialiasing, a new dithering pattern 
that allows rescaling, gray-levels and colours to co-operate with SIRDs.
Every frame in this animation has been rescaled from 640x400 to 320x200
to demonstrate the rescalability properties and to save space.
Actually 'wave.c' is a dirty hack with commandline I/O.

PROs and CONs
=============
This animation drawn by a specific algorithm has

+ True 3D vision in all viewable colours without glasses on any monitor
  (looks almost as good as colour-holograms except holograms do not move)
+ Antialiasing smooths depth-levels
+ Re-scalability (to a certain limit) affects antialiasing in the
  manner than in ordinary 2D pictures.
+ inbuilt dithering in graphics conversions = in reducing colourplanes
+ no additional hardware required to wiev/play in 3D.

- Annoying noise (that luckily can be controlled)
- You must keep Your head still to maintain 3D-vision.
- You may see the picture drawn on the screen (2D) and not 'behind' it 
  or infront of it (3D) unless You let Your sight slide to near infinity or
  somewhere between You and the screen while focusing on (or through) 
  the screen.
- long rendering times (unless You happen to have supercomputer)

Applications, possibilities
===========================

Now we are interested (aren't we) in real-world applications, 
such as computer-tomography fronts end in hospital environment, 
ray-traced scene viewers at home computers,
altitude presentations of maps on a computer-screen or on
posters, or true 3D TV-commercials, logos or whole 3D-movies
low-cost software based 3D virtual-world displays,
molecular 3D-modelling etc.

If You want to test 3D-TV right away and are already familiar with
seeing SIRDs then try this:
If You have a professional single-frame video recorder at Your hands
and a computer with 24-bit video-output jacket then You may test 
the high-resolution SIRD-anim on video.
The separate 640x400 jpeg frames are available on ftp site 
at phoenix.oulu.fi in directory pub/incoming/ in files: frame* 
for a while or so. 
This WaveSIRDham.anim5.lha is FTP:able from nic.funet.fi (128.214.6.100)
in directory pub/amiga/graphics/animations/3d with a WaveSIRDham.reamde
file.

A very good introduction into seeing SIRD-images (if You don't)
can be found in sunsite.unc.edu via FTP and change to the directory 
pub/academic/computer-science/virtual-reality/3d

I'm still looking for a good anim-player for this kind of animations.
If You can find a suitable one, please let me know.

Let's keep discussion in Alt.3d newsgroup (if any).

If You have any comments, questions or suggestions then
please send e-mail to:

[email-masked]
Esa Kuru

Good Luck!
+-----------------------------------------------+
!       The future is here to stay now in       !
!                                               !
!              ----            ----             !
!             /    /           /    \           !
!                 /           /     /           !
!             ---    ----    /     /            !
!               /           /     /             !
!         /    /           /     /              !
!         ----           -------                !
!                                               !
+-----------------------------------------------+

-- 

begin 644 life.c
M;6%I;BAA<F=C+&%R9W8I:6YT(&%R9V,[8VAA<BIA<F=V6UT[>W!R:6YT9B@B
M5VAA="!I<R!C;VUM;VX@8F5T=V5E;B!M92!A;F0@66]U/UQN(BD["G!R:6YT